## navarp 1.3.0

=== requirements.txt ===
# List of all dependencies for navarp

PyQt5
numpy >= 1.16.0
scipy >= 1.3.0
matplotlib >= 3.1.0
h5py >= 2.9.0
pyyaml
Click
colorcet
igor

=== debian/changelog ===
navarp (1.3.0-1) unstable; urgency=medium

  [ Neil Williams ]
  * Change d.watch file to use modified gitlab mangling
  * Update control to add Debian PaN maintainers

  [ Picca Frédéric-Emmanuel ]
  * d/watch: fixed to  obtain the latest version.
  * New upstream version 1.3.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 21 Dec 2021 14:01:13 +0100

navarp (1.0.0-2) unstable; urgency=medium

  * Source-only upload to migrate to testing.

 -- Neil Williams <codehelp@debian.org>  Wed, 17 Nov 2021 14:11:48 +0000

navarp (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #995371: ITP: navarp -- Navigation tool
    for ARPES data)
  * Add a desktop file, convert upstream SVN to xpm & install.
  * Fix lintian missing-build-dependency-for-dh-addon error
  * Salsa: Allow reprotest to fail - upstream issue
  * Fix missing copyright information

 -- Neil Williams <codehelp@debian.org>  Thu, 30 Sep 2021 13:59:34 +0100

=== debian/control ===
Source: navarp
Section: science
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Neil Williams <codehelp@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all:any,
 python3-numpy,
 python3-scipy,
 python3-matplotlib (>=3.1.0),
 python3-h5py (>= 2.9.0),
 python3-yaml,
 python3-igor,
 python3-colorcet,
 python3-click,
 python3-sphinx,
 python3-sphinx-gallery,
Standards-Version: 4.6.0
Homepage: https://gitlab.com/fbisti/navarp
Vcs-Browser: https://salsa.debian.org/science-team/navarp
Vcs-Git: https://salsa.debian.org/science-team/navarp.git
Rules-Requires-Root: no

Package: python3-navarp
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-navarp-doc
Description: Navigation tool for ARPES data (Python 3)
 NavARP provides a navigation tool for Angle Resolved Photoemission
 spectroscopy data.  NavARP is a companion app during ARPES data
 acquitision (as in beamtime) and set of dedicated libraries helping to
 get high quality figures for publication.
 .
 This package installs the navarp utility for Python 3.

Package: python-navarp-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Navigation tool for ARPES data (documentation)
 NavARP provides a navigation tool for Angle Resolved Photoemission
 spectroscopy data.  NavARP is a companion app during ARPES data
 acquitision (as in beamtime) and set of dedicated libraries helping to
 get high quality figures for publication.
 .
 This is the navarp documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=navarp
export MPLCONFIGDIR=$(CURDIR)/build


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9

# see 739300 for privacy-breach-generic issue
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
	# PYTHONPATH=. python3 -m sphinx -N -bman docs/ debian/
	$(RM) build/html/objects.inv

override_dh_auto_install:
	dh_auto_install
	dh_lintian -p python-navarp-doc
	dh_installman -p python3-navarp debian/navarp.1

override_dh_installdocs:
	dh_installdocs -p python3-navarp
	dh_installdocs -p python-navarp-doc --doc-main-package python-navarp-doc

override_dh_compress:
	dh_compress -p python3-navarp
	dh_compress -p python-navarp-doc --exclude changelog.html

override_dh_auto_clean:
	dh_auto_clean
	$(RM) build docs/auto_examples/

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitLab
# https://gitlab.com/fbisti/navarp/-/archive/v1.0.0/navarp-v1.0.0.tar.gz

https://gitlab.com/fbisti/navarp/tags?sort=updated_desc .*v(\d\S+)\.tar\.gz

## navarp 1.6.0

=== requirements.txt ===
# List of all dependencies for navarp

PyQt5
numpy >= 1.16.0
scipy >= 1.3.0
matplotlib >= 3.5.2,<3.8
h5py >= 2.9.0
pyyaml
Click
colorcet
igor2

=== debian/changelog ===
navarp (1.6.0-4) unstable; urgency=medium

  * Bug fix: "FTBFS: failing tests", thanks to Santiago Vila (Closes:
    #1077950).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 05 Aug 2024 10:10:19 +0200

navarp (1.6.0-3) unstable; urgency=medium

  Update standards version to 4.6.2, no changes needed.
  * wrap-and-sort -ast
  * Bug fix: "please add autopkgtests (to add coverage for
    python3-matplotlib)", thanks to Sandro Tosi (Closes: #1036495).
  * Bug fix: "please add autopkgtests (to add coverage for
    python3-numpy)", thanks to Sandro Tosi (Closes: #1035190).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Aug 2024 11:23:20 +0200

navarp (1.6.0-2) unstable; urgency=medium

  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1048252).
  * Bug fix: "Fails to build binary packages again after successful
    build", thanks to Lucas Nussbaum (Closes: #1049546).

 -- Roland Mas <lolando@debian.org>  Fri, 12 Jan 2024 16:36:04 +0100

navarp (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 12 Jan 2024 15:30:13 +0100

=== debian/control ===
Source: navarp
Section: science
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all:any,
 python3-click,
 python3-colorcet,
 python3-h5py (>= 2.9.0),
 python3-igor2,
 python3-matplotlib (>=3.1.0),
 python3-numpy,
 python3-scipy,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-gallery,
 python3-yaml,
Standards-Version: 4.6.2
Homepage: https://gitlab.com/fbisti/navarp
Vcs-Browser: https://salsa.debian.org/science-team/navarp
Vcs-Git: https://salsa.debian.org/science-team/navarp.git
Rules-Requires-Root: no

Package: python3-navarp
Architecture: all
Depends:
 python3-igor2,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-navarp-doc,
Description: Navigation tool for ARPES data (Python 3)
 NavARP provides a navigation tool for Angle Resolved Photoemission
 spectroscopy data.  NavARP is a companion app during ARPES data
 acquitision (as in beamtime) and set of dedicated libraries helping to
 get high quality figures for publication.
 .
 This package installs the navarp utility for Python 3.

Package: python-navarp-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Navigation tool for ARPES data (documentation)
 NavARP provides a navigation tool for Angle Resolved Photoemission
 spectroscopy data.  NavARP is a companion app during ARPES data
 acquitision (as in beamtime) and set of dedicated libraries helping to
 get high quality figures for publication.
 .
 This is the navarp documentation package.

=== debian/tests/control ===
Tests: python
Depends:
 python3-all,
 python3-navarp,
Restrictions: allow-stderr, skip-not-installable

Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 python3-navarp,
 xauth,
 xvfb,
Restrictions: allow-stderr
